Subject: bug#13324: Improvements to "dist" targets

From: Stefano Lattarini <[email-masked]>
Date: Wed, 02 Jan 2013 14:04:52 +0100

On 01/02/2013 02:01 PM, Stefano Lattarini wrote:
> On 01/02/2013 02:58 AM, Daniel Herring wrote:
>> On Tue, 1 Jan 2013, Stefano Lattarini wrote:
>>
>>> OTOH, what about distribution "tarballs" in '.zip' format?  They don't
>>> use tar at all ...  Time to deprecate them maybe?  Is anybody actually
>>> using them?  And while at it, what about the even more obscure 'shar'
>>> format?
>>
>> While I haven't manipulated a shar file in years, but zip is still
>> the dominant archive format on MS platforms.
>>
> While this is absolutely true, my point is that it's not a format truly
> used or required for distribution tarballs.  If you are going to compile
> an Automake-based package from source on MS Windows, you'll need either
> MinGW/MSYS or Cygwin, and AFAICS both those environment comes with
> working tar and gzip programs.
> 
> Or is there something that I'm missing?
> 
>> It is quite common (and a good practice) for a project to distribute
>> \n newlines in a tarball and \r\n newlines in a zip archive.
>>
> But the Automake "dist-*" recipes don't do this, so you'd need to roll
> your own rule if you want to support this use case (such a rule could
> of course leverage on the "distdir" Automake rule to do much of the
> work).
> 
I'm re-copying your message and my reply to the relevant discussion on
GNU debbugs, so that they will remain registered in our bug tracker.
Please do not drop the debbugs address in your further replies.

Thanks,
  Stefano